@import '../../../../public/assets/styles/variables';

.slider-dot {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 69px;
    height: 69px;
    background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
    box-shadow: 10px 10px 50px rgba(130, 130, 130, 0.23), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
    border-radius: 72px;
    font-family: 'Roboto';
    font-weight: 300;
    font-size: 28px;
    line-height: 33px;
    text-align: center;
    color: $text-color-light;
    cursor: pointer;
    //transition: $normal-speed;
    @media (max-width: 1366px) {
        width: 55px;
        height: 55px;
        font-size: 22px;
        line-height: 26px;
    }
    &__inner-one {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 59px;
        height: 59px;
        background: linear-gradient(144.08deg, #F5F5F5 13.9%, #F3F3F3 87.34%);
        box-shadow: inset 1px 1px 2px rgba(0, 0, 0, 0.15);
        border-radius: 48px;
        //transition: all $normal-speed linear;
        @media (max-width: 1366px) {
            width: 45px;
            height: 45px;
        }
    }
    &__inner-two {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 51px;
        height: 51px;
        background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
        box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
        border-radius: 72px;
        @media (max-width: 1366px) {
            width: 42px;
            height: 42px;
        }
    }
    &:hover {
        color: $accent-color-light;
    }
    &:hover &__inner-one {
        background: $accent-color-light;
    }
    &_active {
        background: #FBFBFB;
        box-shadow: inset 5px 5px 15px #E0E0E0, inset -9px -14px 15px #FFFFFF;
        color: $accent-color;
        cursor: default;
    }
    &_active:hover {
        color: $accent-color;
    }
    &_visited {
        background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
        box-shadow: 10px 10px 50px rgba(130, 130, 130, 0.23), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
        color: $text-color-light;
    }
    &_visited:hover {
        color: $text-color-light;
    }
}